Bug 495165 - Traceback (most recent call last): line 29, line 219, and line 711
Traceback (most recent call last): line 29, line 219, and line 711
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 21:59 EDT by Antonio A. Olivares
Modified: 2014-01-21 18:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 11:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio A. Olivares 2009-04-09 21:59:32 EDT
Description of problem:
Can't update to latest rawhide report 20090409.

Version-Release number of selected component (if applicable):
yum version prior to 
yum-3.2.22-3.fc11
-----------------
* Wed Apr 08 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-3
- fix for file:// urls which makes things in pungi/mash work


How reproducible:


Steps to Reproduce:
1. login to your system
2. at terminal shell, su - and run
3. yum update, after you ran yum clean all, yum clean metadata
  
Actual results:
[root@antonio-fedora-x86-64 ~]# yum update yum
Loaded plugins: refresh-packagekit
rawhide/metalink                                         |  11 kB     00:00     
rawhide                                                  | 3.4 kB     00:00     
rawhide/primary_db                                       |  10 MB     00:22     
Setting up Update Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 219, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 711, in buildTransaction
    base.yumUtilsMsg(self.logger.critical, "yum-complete-transaction")
NameError: global name 'base' is not defined


Expected results:
for yum to update to latest version in rawhide report 20090409

yum-3.2.22-3.fc11
-----------------
* Wed Apr 08 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-3
- fix for file:// urls which makes things in pungi/mash work



Additional info:
upon request, on or after tuesday april 14 out for easter vacation.  hope it is not an inconvenience :) 

This happens on both archs I run i686/i586? and x86_64 on three of four machines I tried to update got the same thing.  yum clean all, yum clean metadata makes no difference :(
Comment 1 Martin Kaeser 2009-04-10 01:52:28 EDT
for me it worked to use first yum-complete-transaction
Comment 2 tom-wk 2009-04-11 00:24:08 EDT
Correction is to replace "base." with "self." on line 711 in "/usr/lib/python2.6/site-packages/yum/__init__.py.

Code path occurs if there are incomplete transactions.

Confirm corrected in package yum.noarch 0:3.2.22-4.fc11
Comment 3 Antonio A. Olivares 2009-04-14 12:12:32 EDT
Thank you Tom for the workaround.  Updated all my machines as of today. Ran yum-complete-transaction and then yum update yum -y, then yum update.  All is well.  Bug was closed without me knowing,  but at least I reported it.

Note You need to log in before you can comment on or make changes to this bug.